kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject kafka git commit: KAFKA-5507; Check if classpath is empty in kafka-run-class.sh
Date Wed, 09 Aug 2017 22:59:09 GMT
Repository: kafka
Updated Branches:
  refs/heads/trunk 69d3d4aad -> d2a2b80cc


KAFKA-5507; Check if classpath is empty in kafka-run-class.sh

Author: Evgeny Veretennikov <evg.veretennikov@gmail.com>

Reviewers: Ismael Juma <ismael@juma.me.uk>

Closes #3421 from evis/kafka-run-class-check-classpath


Project: http://git-wip-us.apache.org/repos/asf/kafka/repo
Commit: http://git-wip-us.apache.org/repos/asf/kafka/commit/d2a2b80c
Tree: http://git-wip-us.apache.org/repos/asf/kafka/tree/d2a2b80c
Diff: http://git-wip-us.apache.org/repos/asf/kafka/diff/d2a2b80c

Branch: refs/heads/trunk
Commit: d2a2b80cc615429a14ccdf21a1bd6c5fd0b31728
Parents: 69d3d4a
Author: Evgeny Veretennikov <evg.veretennikov@gmail.com>
Authored: Wed Aug 9 23:48:09 2017 +0100
Committer: Ismael Juma <ismael@juma.me.uk>
Committed: Wed Aug 9 23:58:25 2017 +0100

----------------------------------------------------------------------
 bin/kafka-run-class.sh | 5 +++++
 1 file changed, 5 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kafka/blob/d2a2b80c/bin/kafka-run-class.sh
----------------------------------------------------------------------
diff --git a/bin/kafka-run-class.sh b/bin/kafka-run-class.sh
index c8c60f8..845685d 100755
--- a/bin/kafka-run-class.sh
+++ b/bin/kafka-run-class.sh
@@ -140,6 +140,11 @@ do
 done
 shopt -u nullglob
 
+if [ -z "$CLASSPATH" ] ; then
+  echo "Classpath is empty. Please build the project first e.g. by running './gradlew jar
-Pscala_version=$SCALA_VERSION'"
+  exit 1
+fi
+
 # JMX settings
 if [ -z "$KAFKA_JMX_OPTS" ]; then
   KAFKA_JMX_OPTS="-Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.authenticate=false
 -Dcom.sun.management.jmxremote.ssl=false "


Mime
View raw message